CREATE TABLE ffs_business_rule (
    IDENTIFIER                        VARCHAR2(1024),
    POPTIONS                          NUMBER(10, 0)     NOT NULL,
    DEFAULT_LANGUAGE                  NUMBER(3, 0)      NOT NULL,
    DEFAULT_THEME                     NUMBER(10, 0)     NOT NULL,
    DELAY_THRESHOLD                   NUMBER(8, 0)      NOT NULL,
    REPLY_TO                          VARCHAR2(4000),
    SW_THRESHOLD                      NUMBER(8, 0)      NOT NULL,
    SLA_THRESHOLD                     NUMBER(8, 0)      NOT NULL,
    NOT_STARTED_THRESHOLD             NUMBER(8, 0)      NOT NULL,
    NOT_ACTIVATED_THRESHOLD           NUMBER(8, 0)      NOT NULL,
    DEFAULT_DURATION_AVG              NUMBER(10, 0)     NOT NULL,
    DEFAULT_TRAVEL_AVG                NUMBER(10, 0)     NOT NULL,
    DELIVERY_WINDOW_FACTOR            NUMBER            NOT NULL,
    DELIVERY_WINDOW_GRANULARITY       NUMBER(10, 0)     NOT NULL,
    DELIVERY_WINDOW_MINIMAL_SIZE      NUMBER(10, 0)     NOT NULL,
    DELIVERY_WINDOW_MAXIMAL_SIZE      NUMBER(10, 0)     NOT NULL,
    DELIVERY_WINDOW_START_CONSTR      NUMBER(10, 0)     NOT NULL,
    STATS_TRAVEL_MIN_VALUE            NUMBER(10, 0)     NOT NULL,
    STATS_TRAVEL_MAX_VALUE            NUMBER(10, 0)     NOT NULL,
    TRAVEL_KEY_AVG_MIN_ACTY_COUNT     NUMBER(10, 0)     NOT NULL,
    TRAVEL_KEY_AVG_MIN_USED_KEYS      NUMBER(10, 0)     NOT NULL,
    STATS_AIRLINE_DIST_MIN_VALUE      NUMBER            NOT NULL,
    STATS_AIRLINE_DIST_MAX_VALUE      NUMBER            NOT NULL,
    STATS_DURATION_MIN_VALUE          NUMBER(10, 0)     NOT NULL,
    STATS_DURATION_MAX_VALUE          NUMBER(10, 0)     NOT NULL,
    STATS_GROUP_FACTOR                NUMBER            NOT NULL,
    STATS_CUTTING_FACTOR              NUMBER            NOT NULL,
    STATS_DEVIATION_COEFFICIENT       NUMBER(8, 2)      NOT NULL,
    STATS_DURATION_CURRENT_METHOD     VARCHAR2(64)  ,
    STATS_DURATION_NL_CORR_FACTOR     NUMBER            NOT NULL,
    STATS_DURATION_NL_CORR_MAX        NUMBER            NOT NULL,
    STATS_DURATION_VERSION_STAMP      VARCHAR2(4000),
    STATS_TRAVEL_VERSION_STAMP        VARCHAR2(4000),
    STATS_STARTTIME_VERSION_STAMP     VARCHAR2(4000),
    STATS_STARTTIME_MIN_ACT_NUM       NUMBER(5, 0)      NOT NULL,
    NOTIFY30_60                       VARCHAR2(84)  ,
    ZIP_FORMAT_ID                     NUMBER(10, 0)     NOT NULL,
    STATE_FORMAT_ID                   NUMBER(10, 0)     NOT NULL,
    REMINDER_SILENT_INTERVAL          NUMBER(10, 0)     NOT NULL,
    REMINDER_INTERVAL_LIST            VARCHAR2(480) ,
    FLOW_ID_REMINDER                  NUMBER(10, 0) ,
    FLOW_ID_TODAY_1                   NUMBER(10, 0) ,
    FLOW_ID_TODAY_2                   NUMBER(10, 0) ,
    FLOW_ID_TODAY_3                   NUMBER(10, 0) ,
    FLOW_ID_TODAY_4                   NUMBER(10, 0) ,
    FLOW_ID_TODAY_5                   NUMBER(10, 0) ,
    FLOW_ID_DAY_BEFORE                NUMBER(10, 0) ,
    FLOW_ID_ACTIVATE                  NUMBER(10, 0) ,
    FLOW_ID_DEACTIVATE                NUMBER(10, 0) ,
    FLOW_ID_REACTIVATE                NUMBER(10, 0) ,
    FLOW_ID_ADD                       NUMBER(10, 0) ,
    FLOW_ID_COMPLETE                  NUMBER(10, 0) ,
    FLOW_ID_CANCEL                    NUMBER(10, 0) ,
    FLOW_ID_NOTDONE                   NUMBER(10, 0) ,
    FLOW_ID_DELAY                     NUMBER(10, 0) ,
    FLOW_ID_SUSPEND                   NUMBER(10, 0) ,
    FLOW_ID_START_WARNING             NUMBER(10, 0) ,
    FLOW_ID_MANUAL                    NUMBER(10, 0) ,
    FLOW_ID_CALL_AHEAD                NUMBER(10, 0) ,
    FLOW_ID_NOT_STARTED_1             NUMBER(10, 0) ,
    FLOW_ID_NOT_STARTED_2             NUMBER(10, 0) ,
    FLOW_ID_SW_WARNING                NUMBER(10, 0) ,
    FLOW_ID_SLA_WARNING               NUMBER(10, 0) ,
    FLOW_ID_IVR                       NUMBER(10, 0) ,
    FLOW_ID_INSTALL                   NUMBER(10, 0) ,
    FLOW_ID_DEINSTALL                 NUMBER(10, 0) ,
    FLOW_ID_EXCHANGE                  NUMBER(10, 0) ,
    FLOW_ID_UNDO_INSTALL              NUMBER(10, 0) ,
    FLOW_ID_UNDO_DEINSTALL            NUMBER(10, 0) ,
    FLOW_ID_MOVE_ACTIVITY             NUMBER(10, 0) ,
    FLOW_ID_START                     NUMBER(10, 0) ,
    FLOW_ID_MOVE_INVENTORY            NUMBER(10, 0) ,
    START_TODAY_1                     NUMBER(10, 0)     NOT NULL,
    END_TODAY_1                       NUMBER(10, 0)     NOT NULL,
    THRESHOLD_TODAY_1                 NUMBER(10, 0)     NOT NULL,
    START_TODAY_2                     NUMBER(10, 0)     NOT NULL,
    END_TODAY_2                       NUMBER(10, 0)     NOT NULL,
    THRESHOLD_TODAY_2                 NUMBER(10, 0)     NOT NULL,
    START_TODAY_3                     NUMBER(10, 0)     NOT NULL,
    END_TODAY_3                       NUMBER(10, 0)     NOT NULL,
    THRESHOLD_TODAY_3                 NUMBER(10, 0)     NOT NULL,
    START_TODAY_4                     NUMBER(10, 0)     NOT NULL,
    END_TODAY_4                       NUMBER(10, 0)     NOT NULL,
    THRESHOLD_TODAY_4                 NUMBER(10, 0)     NOT NULL,
    START_TODAY_5                     NUMBER(10, 0)     NOT NULL,
    END_TODAY_5                       NUMBER(10, 0)     NOT NULL,
    THRESHOLD_TODAY_5                 NUMBER(10, 0)     NOT NULL,
    NOT_STARTED_1_TIME                NUMBER(10, 0)     NOT NULL,
    NOT_STARTED_2_TIME                NUMBER(10, 0)     NOT NULL,
    SW_WARNING_TIME                   NUMBER(10, 0)     NOT NULL,
    SLA_WARNING_TIME                  NUMBER(10, 0)     NOT NULL,
    MOBILE_RESOURCE_COUNT             NUMBER(10, 0)     NOT NULL,
    MOBILE_ACTIVITY_COUNT             NUMBER(10, 0)     NOT NULL,
    MOBILE_INVENTORY_COUNT            NUMBER(10, 0)     NOT NULL,
    MOBILE_TEXTAREA_COLS              NUMBER(10, 0)     NOT NULL,
    CUT_LIMIT                         NUMBER(10, 0)     NOT NULL,
    MAP_COUNTRY_CODE                  VARCHAR2(32)  ,
    DEFAULT_CODEPAGE                  VARCHAR2(4000),
    ACTIONS_LINKS_NUM                 NUMBER(10, 0)     NOT NULL,
    GPS_RESOURCE_IDENTIFY             VARCHAR2(4000),
    GEO_TYPE                          VARCHAR2(40)  ,
    GEO_FROM                          NUMBER(5, 0)  ,
    GEO_TO                            NUMBER(5, 0)  ,
    GEO_INTERVAL                      NUMBER(10, 0) ,
    WEEK_START                        NUMBER(3, 0)      NOT NULL,
    AIRLINE_DIST_WEIGHT               NUMBER(8, 3)      NOT NULL,
    AIRLINE_DIST_SPEED                NUMBER(8, 2)      NOT NULL,
    AIRLINE_DIST_SPEED_RECOMM         NUMBER(8, 2)      NOT NULL,
    DISTANCE_UNITS                    VARCHAR2(20)  ,
    DURATION_DEV_LIMIT_DOWN           NUMBER(3, 0)      NOT NULL,
    DURATION_DEV_LIMIT_UP             NUMBER(5, 0)      NOT NULL,
    MOBILE_CALENDAR_FUTURE_DAYS       NUMBER(10, 0)     NOT NULL,
    FLOW_ID_VISIT_REMINDER            NUMBER(10, 0) ,
    VISIT_REMINDER_INTERVAL           NUMBER(10, 0)     NOT NULL,
    VISIT_REMINDER_SILENT_INTERVAL    NUMBER(10, 0)     NOT NULL,
    FLOW_ID_VISIT_TODAY_1             NUMBER(10, 0) ,
    START_VISIT_TODAY_1               NUMBER(10, 0)     NOT NULL,
    END_VISIT_TODAY_1                 NUMBER(10, 0)     NOT NULL,
    THRESHOLD_VISIT_TODAY_1           NUMBER(10, 0)     NOT NULL,
    FLOW_ID_VISIT_TODAY_2             NUMBER(10, 0) ,
    START_VISIT_TODAY_2               NUMBER(10, 0)     NOT NULL,
    END_VISIT_TODAY_2                 NUMBER(10, 0)     NOT NULL,
    THRESHOLD_VISIT_TODAY_2           NUMBER(10, 0)     NOT NULL,
    FLOW_ID_VISIT_TODAY_3             NUMBER(10, 0) ,
    START_VISIT_TODAY_3               NUMBER(10, 0)     NOT NULL,
    END_VISIT_TODAY_3                 NUMBER(10, 0)     NOT NULL,
    THRESHOLD_VISIT_TODAY_3           NUMBER(10, 0)     NOT NULL,
    FLOW_ID_VISIT_TODAY_4             NUMBER(10, 0) ,
    START_VISIT_TODAY_4               NUMBER(10, 0)     NOT NULL,
    END_VISIT_TODAY_4                 NUMBER(10, 0)     NOT NULL,
    THRESHOLD_VISIT_TODAY_4           NUMBER(10, 0)     NOT NULL,
    FLOW_ID_VISIT_TODAY_5             NUMBER(10, 0) ,
    START_VISIT_TODAY_5               NUMBER(10, 0)     NOT NULL,
    END_VISIT_TODAY_5                 NUMBER(10, 0)     NOT NULL,
    THRESHOLD_VISIT_TODAY_5           NUMBER(10, 0)     NOT NULL,
    FLOW_ID_VISIT_DAY_BEFORE          NUMBER(10, 0) ,
    FLOW_ID_VISIT_CANCEL              NUMBER(10, 0) ,
    FLOW_ID_VISIT_COMPLETE            NUMBER(10, 0) ,
    VISIT_NOTIFICATION_BASE           VARCHAR2(84)  ,
    FLOW_ID_NOT_ACTIVATED             NUMBER(10, 0) ,
    NOT_ACTIVATED_TIME                NUMBER(10, 0)     NOT NULL,
    WORKING_TIME_SINCE_MIDNIGHT       NUMBER(3, 0)      NOT NULL,
    TIME_ZONE_ID                      NUMBER(3, 0)      NOT NULL,
    FLOW_ID_UPDATE_ACTIVITY_1         NUMBER(10, 0) ,
    FLOW_ID_UPDATE_ACTIVITY_2         NUMBER(10, 0) ,
    FLOW_ID_UPDATE_ACTIVITY_3         NUMBER(10, 0) ,
    FLOW_ID_UPDATE_ACTIVITY_4         NUMBER(10, 0) ,
    FLOW_ID_UPDATE_ACTIVITY_5         NUMBER(10, 0) ,
    FLOW_ID_UPDATE_ROUTE_1            NUMBER(10, 0) ,
    FLOW_ID_UPDATE_ROUTE_2            NUMBER(10, 0) ,
    FLOW_ID_UPDATE_ROUTE_3            NUMBER(10, 0) ,
    FLOW_ID_UPDATE_ROUTE_4            NUMBER(10, 0) ,
    FLOW_ID_UPDATE_ROUTE_5            NUMBER(10, 0) ,
    QTS_OVERLOAD_THRESHOLD_1          NUMBER(5, 0)      NOT NULL,
    QTS_OVERLOAD_THRESHOLD_2          NUMBER(5, 0)      NOT NULL,
    EMAIL_REGEX                       VARCHAR2(4000),
    PHONE_REGEX                       VARCHAR2(4000),
    SOFT_SKILL_THRESHOLD              NUMBER(3, 0)      NOT NULL,
    DEPARTURE_PARKING_TIME            NUMBER(5, 0)      NOT NULL,
    DEPARTURE_PARKING_TIME_RECOMM     NUMBER(5, 0)      NOT NULL,
    CURRENT_STARTUP_ID                VARCHAR2(4000),
    TRAVEL_TIME_COLOR                 VARCHAR2(24)  ,
    SMARTGPS_START_END_RADIUS         NUMBER(10, 0)     NOT NULL,
    SMARTGPS_IDLE_RADIUS              NUMBER(10, 0)     NOT NULL,
    SMARTGPS_IDLE_TIMEOUT             NUMBER(10, 0)     NOT NULL,
    MAP_FADE_RES_THRESHOLD            NUMBER(10, 0)     NOT NULL,
    MAP_HIDE_RES_THRESHOLD            NUMBER(10, 0)     NOT NULL,
    HISTORY_USER_TYPE_ID              NUMBER(5, 0)      NOT NULL,
    QTS_DAY_COLUMNS                   VARCHAR2(4000),
    QTS_DAY_DEFAULT_COLUMNS           VARCHAR2(4000),
    QTS_TS_COLUMNS                    VARCHAR2(4000),
    QTS_TS_DEFAULT_COLUMNS            VARCHAR2(4000),
    QTS_CATEGORY_COLUMNS              VARCHAR2(4000),
    QTS_CATEGORY_DEFAULT_COLUMNS      VARCHAR2(4000),
    QUOTA_RECALC_START_DAY            NUMBER(5, 0)      NOT NULL,
    QUOTA_RECALC_TIME                 NUMBER(5, 0)      NOT NULL,
    QUOTA_RECALC_PERIOD               NUMBER(5, 0)      NOT NULL,
    QUOTA_RECALC_PERIOD_UOM           VARCHAR2(56)  ,
    QUOTA_UOM                         VARCHAR2(32)  ,
    QUOTA_HOURS_PER_FTE               NUMBER(5, 0)      NOT NULL,
    STATS_STARTTIME_ETA_WEIGHT        NUMBER(8, 5)      NOT NULL,
    STATS_STARTTIME_SW_WGHT           NUMBER(8, 5)      NOT NULL,
    STATS_STARTTIME_SLA_WGHT          NUMBER(8, 5)      NOT NULL,
    REOPT_MIN_LATE_ARRIV_PENALTY      NUMBER(10, 0)     NOT NULL,
    REOPT_MIN_NON_ASSIGN_COST         NUMBER            NOT NULL,
    FUTURE_DAYS_LIMIT                 NUMBER(10, 0)     NOT NULL,
    BOOKING_NUM_OF_AVAIL_DAYS         NUMBER(5, 0)      NOT NULL,
    BOOKING_MIN_TIME_TO_TS_END        NUMBER(10, 0)     NOT NULL,
    IDLE_TIME_DISPLAY_THRESHOLD       NUMBER(10, 0)     NOT NULL,
    OUTBOUND_CONFIGURATION_STATUS     NUMBER(3, 0)      NOT NULL,
    FTE_DURATION                      NUMBER(3, 0)      NOT NULL,
    STATS_TRAVEL_SLT_DATA_WGHT        NUMBER(5, 0)      NOT NULL,
    POST_CODE_LEVEL_TRAVEL_WGHT       NUMBER(5, 0)      NOT NULL,
    STATS_TRAVEL_MAX_PATCH_SIZE       NUMBER(10, 0)     NOT NULL,
    ACTIVITY_URGENT_PROP_ID           NUMBER(8, 0)      NOT NULL,
    ACTIVITY_URGENT_PROP_VALUES       VARCHAR2(1020),
    ACTIVITY_NORMAL_PROP_VALUES       VARCHAR2(1020),
    STATS_DURATION_NL_RECALC          NUMBER(3, 0)      NOT NULL,
    QBI_BOOKING_STATUS_INTERVALS      VARCHAR2(4000),
    QBI_MAX_AVAILABLE_INTERVALS       VARCHAR2(4000),
    QBI_AVAILABLE_INTERVALS           VARCHAR2(4000),
    FIELD_RESOURCE_LANDING_PAGE       VARCHAR2(52)  ,
    SLR_PARKING_TIME                  NUMBER(12, 3)     NOT NULL,
    SLR_SPEED_INV                     NUMBER(12, 3)     NOT NULL,
    REPORTED_PARKING_TIME             NUMBER(12, 3)     NOT NULL,
    REPORTED_SPEED_INV                NUMBER(12, 3)     NOT NULL,
    REPORTED_PARKING_TIME_SHORT       NUMBER(12, 3)     NOT NULL,
    REPORTED_SPEED_INV_SHORT          NUMBER(12, 3)     NOT NULL,
    STATS_TRAVEL_UPGRADE              NUMBER(3, 0)      NOT NULL,
    USER_EMAIL_PROPERTY_ID            NUMBER(8, 0)      NOT NULL,
    RESET_PASSWORD_ENABLED            NUMBER(3, 0)      NOT NULL,
    INSTANT_MASS_DAY_ACTIVITY         NUMBER(3, 0)      NOT NULL,
    USE_SPEED_PARKING_TIME            NUMBER(1, 0)  ,
    NEARBY_RADIUS                     NUMBER(5, 0)      NOT NULL,
    NEARBY_SLA                        NUMBER(5, 0)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    BUSINESS_RULE_ID                  NUMBER(1, 0)  ,
    SEED_DATA_SOURCE                  VARCHAR2(2048),
    ORA_SEED_SET1                     VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                     VARCHAR2(4)       NOT NULL,
    IDENTIFIER                        VARCHAR2(1024),
    POPTIONS                          NUMBER(10, 0)     NOT NULL,
    DEFAULT_LANGUAGE                  NUMBER(3, 0)      NOT NULL,
    DEFAULT_THEME                     NUMBER(10, 0)     NOT NULL,
    DELAY_THRESHOLD                   NUMBER(8, 0)      NOT NULL,
    REPLY_TO                          VARCHAR2(4000),
    SW_THRESHOLD                      NUMBER(8, 0)      NOT NULL,
    SLA_THRESHOLD                     NUMBER(8, 0)      NOT NULL,
    NOT_STARTED_THRESHOLD             NUMBER(8, 0)      NOT NULL,
    NOT_ACTIVATED_THRESHOLD           NUMBER(8, 0)      NOT NULL,
    DEFAULT_DURATION_AVG              NUMBER(10, 0)     NOT NULL,
    DEFAULT_TRAVEL_AVG                NUMBER(10, 0)     NOT NULL,
    DELIVERY_WINDOW_FACTOR            NUMBER            NOT NULL,
    DELIVERY_WINDOW_GRANULARITY       NUMBER(10, 0)     NOT NULL,
    DELIVERY_WINDOW_MINIMAL_SIZE      NUMBER(10, 0)     NOT NULL,
    DELIVERY_WINDOW_MAXIMAL_SIZE      NUMBER(10, 0)     NOT NULL,
    DELIVERY_WINDOW_START_CONSTR      NUMBER(10, 0)     NOT NULL,
    STATS_TRAVEL_MIN_VALUE            NUMBER(10, 0)     NOT NULL,
    STATS_TRAVEL_MAX_VALUE            NUMBER(10, 0)     NOT NULL,
    TRAVEL_KEY_AVG_MIN_ACTY_COUNT     NUMBER(10, 0)     NOT NULL,
    TRAVEL_KEY_AVG_MIN_USED_KEYS      NUMBER(10, 0)     NOT NULL,
    STATS_AIRLINE_DIST_MIN_VALUE      NUMBER            NOT NULL,
    STATS_AIRLINE_DIST_MAX_VALUE      NUMBER            NOT NULL,
    STATS_DURATION_MIN_VALUE          NUMBER(10, 0)     NOT NULL,
    STATS_DURATION_MAX_VALUE          NUMBER(10, 0)     NOT NULL,
    STATS_GROUP_FACTOR                NUMBER            NOT NULL,
    STATS_CUTTING_FACTOR              NUMBER            NOT NULL,
    STATS_DEVIATION_COEFFICIENT       NUMBER(8, 2)      NOT NULL,
    STATS_DURATION_CURRENT_METHOD     VARCHAR2(64)  ,
    STATS_DURATION_NL_CORR_FACTOR     NUMBER            NOT NULL,
    STATS_DURATION_NL_CORR_MAX        NUMBER            NOT NULL,
    STATS_DURATION_VERSION_STAMP      VARCHAR2(4000),
    STATS_TRAVEL_VERSION_STAMP        VARCHAR2(4000),
    STATS_STARTTIME_VERSION_STAMP     VARCHAR2(4000),
    STATS_STARTTIME_MIN_ACT_NUM       NUMBER(5, 0)      NOT NULL,
    NOTIFY30_60                       VARCHAR2(84)  ,
    ZIP_FORMAT_ID                     NUMBER(10, 0)     NOT NULL,
    STATE_FORMAT_ID                   NUMBER(10, 0)     NOT NULL,
    REMINDER_SILENT_INTERVAL          NUMBER(10, 0)     NOT NULL,
    REMINDER_INTERVAL_LIST            VARCHAR2(480) ,
    FLOW_ID_REMINDER                  NUMBER(10, 0) ,
    FLOW_ID_TODAY_1                   NUMBER(10, 0) ,
    FLOW_ID_TODAY_2                   NUMBER(10, 0) ,
    FLOW_ID_TODAY_3                   NUMBER(10, 0) ,
    FLOW_ID_TODAY_4                   NUMBER(10, 0) ,
    FLOW_ID_TODAY_5                   NUMBER(10, 0) ,
    FLOW_ID_DAY_BEFORE                NUMBER(10, 0) ,
    FLOW_ID_ACTIVATE                  NUMBER(10, 0) ,
    FLOW_ID_DEACTIVATE                NUMBER(10, 0) ,
    FLOW_ID_REACTIVATE                NUMBER(10, 0) ,
    FLOW_ID_ADD                       NUMBER(10, 0) ,
    FLOW_ID_COMPLETE                  NUMBER(10, 0) ,
    FLOW_ID_CANCEL                    NUMBER(10, 0) ,
    FLOW_ID_NOTDONE                   NUMBER(10, 0) ,
    FLOW_ID_DELAY                     NUMBER(10, 0) ,
    FLOW_ID_SUSPEND                   NUMBER(10, 0) ,
    FLOW_ID_START_WARNING             NUMBER(10, 0) ,
    FLOW_ID_MANUAL                    NUMBER(10, 0) ,
    FLOW_ID_CALL_AHEAD                NUMBER(10, 0) ,
    FLOW_ID_NOT_STARTED_1             NUMBER(10, 0) ,
    FLOW_ID_NOT_STARTED_2             NUMBER(10, 0) ,
    FLOW_ID_SW_WARNING                NUMBER(10, 0) ,
    FLOW_ID_SLA_WARNING               NUMBER(10, 0) ,
    FLOW_ID_IVR                       NUMBER(10, 0) ,
    FLOW_ID_INSTALL                   NUMBER(10, 0) ,
    FLOW_ID_DEINSTALL                 NUMBER(10, 0) ,
    FLOW_ID_EXCHANGE                  NUMBER(10, 0) ,
    FLOW_ID_UNDO_INSTALL              NUMBER(10, 0) ,
    FLOW_ID_UNDO_DEINSTALL            NUMBER(10, 0) ,
    FLOW_ID_MOVE_ACTIVITY             NUMBER(10, 0) ,
    FLOW_ID_START                     NUMBER(10, 0) ,
    FLOW_ID_MOVE_INVENTORY            NUMBER(10, 0) ,
    START_TODAY_1                     NUMBER(10, 0)     NOT NULL,
    END_TODAY_1                       NUMBER(10, 0)     NOT NULL,
    THRESHOLD_TODAY_1                 NUMBER(10, 0)     NOT NULL,
    START_TODAY_2                     NUMBER(10, 0)     NOT NULL,
    END_TODAY_2                       NUMBER(10, 0)     NOT NULL,
    THRESHOLD_TODAY_2                 NUMBER(10, 0)     NOT NULL,
    START_TODAY_3                     NUMBER(10, 0)     NOT NULL,
    END_TODAY_3                       NUMBER(10, 0)     NOT NULL,
    THRESHOLD_TODAY_3                 NUMBER(10, 0)     NOT NULL,
    START_TODAY_4                     NUMBER(10, 0)     NOT NULL,
    END_TODAY_4                       NUMBER(10, 0)     NOT NULL,
    THRESHOLD_TODAY_4                 NUMBER(10, 0)     NOT NULL,
    START_TODAY_5                     NUMBER(10, 0)     NOT NULL,
    END_TODAY_5                       NUMBER(10, 0)     NOT NULL,
    THRESHOLD_TODAY_5                 NUMBER(10, 0)     NOT NULL,
    NOT_STARTED_1_TIME                NUMBER(10, 0)     NOT NULL,
    NOT_STARTED_2_TIME                NUMBER(10, 0)     NOT NULL,
    SW_WARNING_TIME                   NUMBER(10, 0)     NOT NULL,
    SLA_WARNING_TIME                  NUMBER(10, 0)     NOT NULL,
    MOBILE_RESOURCE_COUNT             NUMBER(10, 0)     NOT NULL,
    MOBILE_ACTIVITY_COUNT             NUMBER(10, 0)     NOT NULL,
    MOBILE_INVENTORY_COUNT            NUMBER(10, 0)     NOT NULL,
    MOBILE_TEXTAREA_COLS              NUMBER(10, 0)     NOT NULL,
    CUT_LIMIT                         NUMBER(10, 0)     NOT NULL,
    MAP_COUNTRY_CODE                  VARCHAR2(32)  ,
    DEFAULT_CODEPAGE                  VARCHAR2(4000),
    ACTIONS_LINKS_NUM                 NUMBER(10, 0)     NOT NULL,
    GPS_RESOURCE_IDENTIFY             VARCHAR2(4000),
    GEO_TYPE                          VARCHAR2(40)  ,
    GEO_FROM                          NUMBER(5, 0)  ,
    GEO_TO                            NUMBER(5, 0)  ,
    GEO_INTERVAL                      NUMBER(10, 0) ,
    WEEK_START                        NUMBER(3, 0)      NOT NULL,
    AIRLINE_DIST_WEIGHT               NUMBER(8, 3)      NOT NULL,
    AIRLINE_DIST_SPEED                NUMBER(8, 2)      NOT NULL,
    AIRLINE_DIST_SPEED_RECOMM         NUMBER(8, 2)      NOT NULL,
    DISTANCE_UNITS                    VARCHAR2(20)  ,
    DURATION_DEV_LIMIT_DOWN           NUMBER(3, 0)      NOT NULL,
    DURATION_DEV_LIMIT_UP             NUMBER(5, 0)      NOT NULL,
    MOBILE_CALENDAR_FUTURE_DAYS       NUMBER(10, 0)     NOT NULL,
    FLOW_ID_VISIT_REMINDER            NUMBER(10, 0) ,
    VISIT_REMINDER_INTERVAL           NUMBER(10, 0)     NOT NULL,
    VISIT_REMINDER_SILENT_INTERVAL    NUMBER(10, 0)     NOT NULL,
    FLOW_ID_VISIT_TODAY_1             NUMBER(10, 0) ,
    START_VISIT_TODAY_1               NUMBER(10, 0)     NOT NULL,
    END_VISIT_TODAY_1                 NUMBER(10, 0)     NOT NULL,
    THRESHOLD_VISIT_TODAY_1           NUMBER(10, 0)     NOT NULL,
    FLOW_ID_VISIT_TODAY_2             NUMBER(10, 0) ,
    START_VISIT_TODAY_2               NUMBER(10, 0)     NOT NULL,
    END_VISIT_TODAY_2                 NUMBER(10, 0)     NOT NULL,
    THRESHOLD_VISIT_TODAY_2           NUMBER(10, 0)     NOT NULL,
    FLOW_ID_VISIT_TODAY_3             NUMBER(10, 0) ,
    START_VISIT_TODAY_3               NUMBER(10, 0)     NOT NULL,
    END_VISIT_TODAY_3                 NUMBER(10, 0)     NOT NULL,
    THRESHOLD_VISIT_TODAY_3           NUMBER(10, 0)     NOT NULL,
    FLOW_ID_VISIT_TODAY_4             NUMBER(10, 0) ,
    START_VISIT_TODAY_4               NUMBER(10, 0)     NOT NULL,
    END_VISIT_TODAY_4                 NUMBER(10, 0)     NOT NULL,
    THRESHOLD_VISIT_TODAY_4           NUMBER(10, 0)     NOT NULL,
    FLOW_ID_VISIT_TODAY_5             NUMBER(10, 0) ,
    START_VISIT_TODAY_5               NUMBER(10, 0)     NOT NULL,
    END_VISIT_TODAY_5                 NUMBER(10, 0)     NOT NULL,
    THRESHOLD_VISIT_TODAY_5           NUMBER(10, 0)     NOT NULL,
    FLOW_ID_VISIT_DAY_BEFORE          NUMBER(10, 0) ,
    FLOW_ID_VISIT_CANCEL              NUMBER(10, 0) ,
    FLOW_ID_VISIT_COMPLETE            NUMBER(10, 0) ,
    VISIT_NOTIFICATION_BASE           VARCHAR2(84)  ,
    FLOW_ID_NOT_ACTIVATED             NUMBER(10, 0) ,
    NOT_ACTIVATED_TIME                NUMBER(10, 0)     NOT NULL,
    WORKING_TIME_SINCE_MIDNIGHT       NUMBER(3, 0)      NOT NULL,
    TIME_ZONE_ID                      NUMBER(3, 0)      NOT NULL,
    FLOW_ID_UPDATE_ACTIVITY_1         NUMBER(10, 0) ,
    FLOW_ID_UPDATE_ACTIVITY_2         NUMBER(10, 0) ,
    FLOW_ID_UPDATE_ACTIVITY_3         NUMBER(10, 0) ,
    FLOW_ID_UPDATE_ACTIVITY_4         NUMBER(10, 0) ,
    FLOW_ID_UPDATE_ACTIVITY_5         NUMBER(10, 0) ,
    FLOW_ID_UPDATE_ROUTE_1            NUMBER(10, 0) ,
    FLOW_ID_UPDATE_ROUTE_2            NUMBER(10, 0) ,
    FLOW_ID_UPDATE_ROUTE_3            NUMBER(10, 0) ,
    FLOW_ID_UPDATE_ROUTE_4            NUMBER(10, 0) ,
    FLOW_ID_UPDATE_ROUTE_5            NUMBER(10, 0) ,
    QTS_OVERLOAD_THRESHOLD_1          NUMBER(5, 0)      NOT NULL,
    QTS_OVERLOAD_THRESHOLD_2          NUMBER(5, 0)      NOT NULL,
    EMAIL_REGEX                       VARCHAR2(4000),
    PHONE_REGEX                       VARCHAR2(4000),
    SOFT_SKILL_THRESHOLD              NUMBER(3, 0)      NOT NULL,
    DEPARTURE_PARKING_TIME            NUMBER(5, 0)      NOT NULL,
    DEPARTURE_PARKING_TIME_RECOMM     NUMBER(5, 0)      NOT NULL,
    CURRENT_STARTUP_ID                VARCHAR2(4000),
    TRAVEL_TIME_COLOR                 VARCHAR2(24)  ,
    SMARTGPS_START_END_RADIUS         NUMBER(10, 0)     NOT NULL,
    SMARTGPS_IDLE_RADIUS              NUMBER(10, 0)     NOT NULL,
    SMARTGPS_IDLE_TIMEOUT             NUMBER(10, 0)     NOT NULL,
    MAP_FADE_RES_THRESHOLD            NUMBER(10, 0)     NOT NULL,
    MAP_HIDE_RES_THRESHOLD            NUMBER(10, 0)     NOT NULL,
    HISTORY_USER_TYPE_ID              NUMBER(5, 0)      NOT NULL,
    QTS_DAY_COLUMNS                   VARCHAR2(4000),
    QTS_DAY_DEFAULT_COLUMNS           VARCHAR2(4000),
    QTS_TS_COLUMNS                    VARCHAR2(4000),
    QTS_TS_DEFAULT_COLUMNS            VARCHAR2(4000),
    QTS_CATEGORY_COLUMNS              VARCHAR2(4000),
    QTS_CATEGORY_DEFAULT_COLUMNS      VARCHAR2(4000),
    QUOTA_RECALC_START_DAY            NUMBER(5, 0)      NOT NULL,
    QUOTA_RECALC_TIME                 NUMBER(5, 0)      NOT NULL,
    QUOTA_RECALC_PERIOD               NUMBER(5, 0)      NOT NULL,
    QUOTA_RECALC_PERIOD_UOM           VARCHAR2(56)  ,
    QUOTA_UOM                         VARCHAR2(32)  ,
    QUOTA_HOURS_PER_FTE               NUMBER(5, 0)      NOT NULL,
    STATS_STARTTIME_ETA_WEIGHT        NUMBER(8, 5)      NOT NULL,
    STATS_STARTTIME_SW_WGHT           NUMBER(8, 5)      NOT NULL,
    STATS_STARTTIME_SLA_WGHT          NUMBER(8, 5)      NOT NULL,
    REOPT_MIN_LATE_ARRIV_PENALTY      NUMBER(10, 0)     NOT NULL,
    REOPT_MIN_NON_ASSIGN_COST         NUMBER            NOT NULL,
    FUTURE_DAYS_LIMIT                 NUMBER(10, 0)     NOT NULL,
    BOOKING_NUM_OF_AVAIL_DAYS         NUMBER(5, 0)      NOT NULL,
    BOOKING_MIN_TIME_TO_TS_END        NUMBER(10, 0)     NOT NULL,
    IDLE_TIME_DISPLAY_THRESHOLD       NUMBER(10, 0)     NOT NULL,
    OUTBOUND_CONFIGURATION_STATUS     NUMBER(3, 0)      NOT NULL,
    FTE_DURATION                      NUMBER(3, 0)      NOT NULL,
    STATS_TRAVEL_SLT_DATA_WGHT        NUMBER(5, 0)      NOT NULL,
    POST_CODE_LEVEL_TRAVEL_WGHT       NUMBER(5, 0)      NOT NULL,
    STATS_TRAVEL_MAX_PATCH_SIZE       NUMBER(10, 0)     NOT NULL,
    ACTIVITY_URGENT_PROP_ID           NUMBER(8, 0)      NOT NULL,
    ACTIVITY_URGENT_PROP_VALUES       VARCHAR2(1020),
    ACTIVITY_NORMAL_PROP_VALUES       VARCHAR2(1020),
    STATS_DURATION_NL_RECALC          NUMBER(3, 0)      NOT NULL,
    QBI_BOOKING_STATUS_INTERVALS      VARCHAR2(4000),
    QBI_MAX_AVAILABLE_INTERVALS       VARCHAR2(4000),
    QBI_AVAILABLE_INTERVALS           VARCHAR2(4000),
    FIELD_RESOURCE_LANDING_PAGE       VARCHAR2(52)  ,
    SLR_PARKING_TIME                  NUMBER(12, 3)     NOT NULL,
    SLR_SPEED_INV                     NUMBER(12, 3)     NOT NULL,
    REPORTED_PARKING_TIME             NUMBER(12, 3)     NOT NULL,
    REPORTED_SPEED_INV                NUMBER(12, 3)     NOT NULL,
    REPORTED_PARKING_TIME_SHORT       NUMBER(12, 3)     NOT NULL,
    REPORTED_SPEED_INV_SHORT          NUMBER(12, 3)     NOT NULL,
    STATS_TRAVEL_UPGRADE              NUMBER(3, 0)      NOT NULL,
    USER_EMAIL_PROPERTY_ID            NUMBER(8, 0)      NOT NULL,
    RESET_PASSWORD_ENABLED            NUMBER(3, 0)      NOT NULL,
    INSTANT_MASS_DAY_ACTIVITY         NUMBER(3, 0)      NOT NULL,
    USE_SPEED_PARKING_TIME            NUMBER(1, 0)  ,
    NEARBY_RADIUS                     NUMBER(5, 0)      NOT NULL,
    NEARBY_SLA                        NUMBER(5, 0)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    BUSINESS_RULE_ID                  NUMBER(1, 0)  ,
    SEED_DATA_SOURCE                  VARCHAR2(2048),
    ORA_SEED_SET1                     VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                     VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_ffs_business_rule PRIMARY KEY (BUSINESS_RULE_ID, BUSINESS_RULE_ID)
);
